%define name gimp-gmic-plugin
%define version 1.6.3.1
%define release %mkrel 1

Summary:	The Gimp G'Mic Plugin
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	gmic-%{version}.tar.xz
Patch0:		gmic-1.5.3.0-fix-overlinking.patch
License:	CeCILL v 2.0
Group:		Graphics
URL:		http://sourceforge.net/projects/gmic/files/
BuildRoot:	%{_tmppath}/%{name}-buildroot
#-------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gimp2.0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: libgomp-devel
BuildRequires: libpthread-stubs
BuildRequires: curl-devel
#-------------------------------------------
Requires:	gimp

%description
This package contains the G'Mic Plugin for Gimp 

%prep
%setup -q -n gmic-%{version}
#%patch0 -p1
# fix up library paths
sed -i -e "s|/usr/lib|/usr/%{_lib}|g" src/Makefile

%build
%setup_compile_flags
cd src
%{make} gimp

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install man/gmic.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d
install -T resources/gmic_bashcompletion.sh $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/gmic
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins
install src/gmic_gimp src/gmic_in_script.scm $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/

%posttrans
GIMPVERSION=`gimp --version | grep -o "[0-9]\+.[0-9]\+"`
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do 
	INP1= mkdir -p /home/$idx/.gimp-$GIMPVERSION/plug-ins
	cp %{_libdir}/gimp/2.0/plug-ins/* /home/$idx/.gimp-$GIMPVERSION/plug-ins/
	chown -R "$idx:$idx" /home/$idx/.gimp-$GIMPVERSION
done

%preun
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do 
	for GIMPVERSION in `ls -A /home/$idx/ | grep ".gimp-[0-9]\+.[0-9]\+"`
	do 
		if [ -f /home/$idx/$GIMPVERSION/plug-ins/gmic_gimp ] ; then
			rm -f /home/$idx/$GIMPVERSION/plug-ins/gmic_gimp
		fi
		
		if [ -f /home/$idx/$GIMPVERSION/plug-ins/gmic_in_script.scm ] ; then
			rm -f /home/$idx/$GIMPVERSION/plug-ins/gmic_in_script.scm
		fi
	done
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING README
%{_sysconfdir}/bash_completion.d/gmic
%{_libdir}/gimp/2.0/plug-ins/gmic_gimp
%{_libdir}/gimp/2.0/plug-ins/gmic_in_script.scm
%{_mandir}/man1/gmic.1.bz2

%changelog
* Sat May 30 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.3.1-1pclos2015
- 1.6.3.1
- add BR curl-devel

* Sat Apr 25 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.2.0-1pclos2015
- 1.6.2.0

* Tue Mar 24 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.1.0-1pclos2015
- 1.6.1.0

* Sat Feb 14 2015 ghostbunny <ghostbunny at gmx dot de> 1.6.0.4-1pclos2015
- 1.6.0.4

* Wed Dec 31 2014 ghostbunny <ghostbunny at gmx dot de> 1.6.0.3-1pclos2014
- 1.6.0.3

* Tue Oct 07 2014 ghostbunny <ghostbunny at gmx dot de> 1.6.0.1-1pclos2014
- 1.6.0.1

* Thu Aug 21 2014 ghostbunny <ghostbunny at gmx dot de> 1.6.0.0-1pclos2014
- 1.6.0.0
- format the bash script in preun and posttrans
- fix creation of SYSUSERS variable to make it work for user which do not use bash
- use sysconfdir macro instead of specific /etc directory
- use doc macro to get the doc files into the package
- add missing BR libgomp-devel, libpthread-stubs
- fix path to gmic_bashcompletion.sh

* Mon Feb 03 2014 bb <bb> 1.5.8.2-1pclos2014
- update

* Sun Jan 26 2014 bb <bb> 1.5.7.1-1pclos2014
- update

* Thu Jun 27 2013 Texstar <texstar at gmail.com> 1.5.6.0-1pclos2013
- 1.5.6.0 

* Fri Feb 01 2013 TerryN <terryn94 at gmail.com> 1.5.3.0-2pclos2013
- Fixed SPEC to not modify outside build area

* Sat Jan 26 2013 kjpetrie <pclos dot bugs at kjpetrie dot kjpetrie dot co dot uk> 1.5.3.0-1pclos2013
- upgrade to 1.5.3.0
- build from source to correct arch
- install to user's current .gimp-version/plugins directory
- added installation of man page, doc directory and gmic_in_script.scm
- added preun scriptlet
- added gmic-1.5.3.0-Makefile-%{_lib}.patch for 64-bit
- added gmic-1.5.3.0-pc32.patch and gmic-1.5.3.0-pc64.patch to prevent overlinking 

* Tue Aug 21 2012 Neal <nealbrks0 at gmail dot com> 1.5.1.8-1pclos2012
- process

* Tue Aug 21 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.5.1.8-1_archie_2012
- update

* Wed Feb 01 2012 Neal <nealbrks0 at gmail dot com> 1.5.1.0-1pclos2010
- process

* Mon Jan 30 2012 Sproggy <desproggster at gmail.com> 1.5.1.0-1pclos2010
- 1.5.1.0

* Tue Oct 19 2010 Sproggy <desproggster@gmail.com> 1.4.4.2-1pclos2010
- 1.4.4.2

* Mon Sep 20 2010 Texstar <texstar at gmail.com> 1.4.2.0-1pclos2010
- 1.4.2.0

* Thu Jul 01 2010 Texstar <texstar at gmail.com> 1.0.0-1pclos2010
- create package
